import * as React from 'react';
import './BlockWrapper.css';
interface Props {
    icon: 'new' | 'edit';
    showMenuOnClick?: boolean;
    showMenuButtonDelete?: boolean;
    showMenuButtonToggleReadonly?: boolean;
    showMenuButtonToggleShowHTML?: boolean;
    showMenuButtonAddParagraph?: boolean;
    showMenuButtonAddHTML?: boolean;
    onClick?: () => void;
    onMenuButtonDelete?: () => void;
    onMenuButtonToggleReadonly?: () => void;
    onMenuButtonToggleShowHTML?: () => void;
    onMenuButtonAddParagraph?: () => void;
    onMenuButtonAddHTML?: () => void;
    children: React.ReactNode;
}
interface State {
    showOptionsIcon?: boolean;
    showMenu?: boolean;
}
declare class BlockWrapper extends React.Component<Props, State> {
    constructor(props: Props);
    render(): JSX.Element;
    private renderOptions;
    private renderIcon;
    private renderMenu;
    private renderChildren;
    private getMenuOptions;
}
export default BlockWrapper;
